Index: boot/Makefile
===================================================================
--- boot/Makefile	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ boot/Makefile	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -115,9 +115,4 @@
 		cp "$(USPACE_PATH)/$(DRVS_PATH)/$$file_dir/$$file_name/$$file_name.dev" "$(DIST_PATH)/$(DRVS_PATH)/$$file_name/" ; \
 	done
-	for file in $(RD_DRVS_FW) ; do \
-		file_dir="`dirname "$$file"`" ; \
-		file_name="`basename "$$file"`" ; \
-		cp "$(USPACE_PATH)/$(DRVS_PATH)/$$file_dir/$$file_name/$$file_name.fw" "$(DIST_PATH)/$(DRVS_PATH)/$$file_name/" ; \
-	done
 	if ls $(DIST_OVERLAY_PATH)/* >/dev/null; then \
 		cp -r -L $(DIST_OVERLAY_PATH)/* "$(DIST_PATH)"; \
Index: boot/Makefile.common
===================================================================
--- boot/Makefile.common	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ boot/Makefile.common	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -139,11 +139,7 @@
 	nic/rtl8139 \
 	nic/rtl8169 \
-	nic/ar9271 \
 	block/ahci
 
 RD_DRV_CFG =
-
-RD_DRVS_FW_NON_ESSENTIAL = \
-	nic/ar9271
 
 RD_LIBS =
@@ -227,6 +223,5 @@
 	$(USPACE_PATH)/app/viewer/viewer \
 	$(USPACE_PATH)/app/df/df \
-	$(USPACE_PATH)/app/fontviewer/fontviewer \
-	$(USPACE_PATH)/app/wifi_supplicant/wifi_supplicant
+	$(USPACE_PATH)/app/fontviewer/fontviewer
 
 RD_TESTS = \
@@ -252,10 +247,8 @@
 RD_APPS = $(RD_APPS_ESSENTIAL)
 RD_DRVS = $(RD_DRVS_ESSENTIAL)
-RD_DRVS_FW = $(RD_DRVS_FW_ESSENTIAL)
 else
 RD_SRVS = $(RD_SRVS_ESSENTIAL) $(RD_SRVS_NON_ESSENTIAL)
 RD_APPS = $(RD_APPS_ESSENTIAL) $(RD_APPS_NON_ESSENTIAL)
 RD_DRVS = $(RD_DRVS_ESSENTIAL) $(RD_DRVS_NON_ESSENTIAL)
-RD_DRVS_FW = $(RD_DRVS_FW_ESSENTIAL) $(RD_DRVS_FW_NON_ESSENTIAL)
 endif
 
Index: uspace/Makefile
===================================================================
--- uspace/Makefile	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/Makefile	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -94,5 +94,4 @@
 	app/wavplay \
 	app/websrv \
-	app/wifi_supplicant \
 	srv/audio/hound \
 	srv/clipboard \
@@ -165,5 +164,4 @@
 	drv/nic/rtl8139 \
 	drv/nic/rtl8169 \
-	drv/nic/ar9271 \
 	drv/platform/icp
 
@@ -220,5 +218,4 @@
 	lib/fs \
 	lib/block \
-	lib/crypto \
 	lib/clui \
 	lib/fmtutil \
@@ -251,6 +248,5 @@
 	lib/posix \
 	lib/mbr \
-	lib/gpt \
-	lib/ieee80211
+	lib/gpt
 
 LIBC_BUILD = $(addsuffix .build,$(LIBC))
Index: uspace/Makefile.common
===================================================================
--- uspace/Makefile.common	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/Makefile.common	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -120,5 +120,4 @@
 LIBPOSIX_PREFIX = $(LIB_PREFIX)/posix
 
-LIBCRYPTO_PREFIX = $(LIB_PREFIX)/crypto
 LIBBLOCK_PREFIX = $(LIB_PREFIX)/block
 LIBFS_PREFIX = $(LIB_PREFIX)/fs
@@ -144,5 +143,4 @@
 LIBNET_PREFIX = $(LIB_PREFIX)/net
 LIBNIC_PREFIX = $(LIB_PREFIX)/nic
-LIBIEEE80211_PREFIX = $(LIB_PREFIX)/ieee80211
 LIBMINIX_PREFIX = $(LIB_PREFIX)/minix
 LIBCOMPRESS_PREFIX = $(LIB_PREFIX)/compress
Index: uspace/lib/c/generic/dhcp.c
===================================================================
--- uspace/lib/c/generic/dhcp.c	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/lib/c/generic/dhcp.c	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -84,14 +84,4 @@
 }
 
-int dhcp_discover(sysarg_t link_id)
-{
-	async_exch_t *exch = async_exchange_begin(dhcp_sess);
-
-	int rc = async_req_1_0(exch, DHCP_DISCOVER, link_id);
-	async_exchange_end(exch);
-
-	return rc;
-}
-
 /** @}
  */
Index: uspace/lib/c/include/inet/dhcp.h
===================================================================
--- uspace/lib/c/include/inet/dhcp.h	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/lib/c/include/inet/dhcp.h	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -41,5 +41,4 @@
 extern int dhcp_link_add(sysarg_t);
 extern int dhcp_link_remove(sysarg_t);
-extern int dhcp_discover(sysarg_t);
 
 #endif
Index: uspace/lib/c/include/ipc/dev_iface.h
===================================================================
--- uspace/lib/c/include/ipc/dev_iface.h	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/lib/c/include/ipc/dev_iface.h	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -48,7 +48,4 @@
 	/** Network interface controller interface */
 	NIC_DEV_IFACE,
-		
-	/** IEEE 802.11 interface controller interface */
-	IEEE80211_DEV_IFACE,
 	
 	/** Interface provided by any PCI device. */
Index: uspace/lib/c/include/ipc/dhcp.h
===================================================================
--- uspace/lib/c/include/ipc/dhcp.h	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/lib/c/include/ipc/dhcp.h	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -41,6 +41,5 @@
 typedef enum {
 	DHCP_LINK_ADD = IPC_FIRST_USER_METHOD,
-	DHCP_LINK_REMOVE,
-	DHCP_DISCOVER
+	DHCP_LINK_REMOVE
 } dhcp_request_t;
 
Index: uspace/lib/drv/Makefile
===================================================================
--- uspace/lib/drv/Makefile	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/lib/drv/Makefile	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -48,5 +48,4 @@
 	generic/remote_char_dev.c \
 	generic/remote_nic.c \
-	generic/remote_ieee80211.c \
 	generic/remote_usb.c \
 	generic/remote_pci.c \
Index: uspace/lib/drv/generic/dev_iface.c
===================================================================
--- uspace/lib/drv/generic/dev_iface.c	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/lib/drv/generic/dev_iface.c	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -46,5 +46,4 @@
 #include "remote_battery_dev.h"
 #include "remote_nic.h"
-#include "remote_ieee80211.h"
 #include "remote_usb.h"
 #include "remote_usbhc.h"
@@ -63,5 +62,4 @@
 		[CHAR_DEV_IFACE] = &remote_char_dev_iface,
 		[NIC_DEV_IFACE] = &remote_nic_iface,
-		[IEEE80211_DEV_IFACE] = &remote_ieee80211_iface,
 		[PCI_DEV_IFACE] = &remote_pci_iface,
 		[USB_DEV_IFACE] = &remote_usb_iface,
Index: uspace/srv/locsrv/locsrv.c
===================================================================
--- uspace/srv/locsrv/locsrv.c	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/srv/locsrv/locsrv.c	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -1357,7 +1357,4 @@
 	cat = category_new("nic");
 	categ_dir_add_cat(&cdir, cat);
-	
-	cat = category_new("ieee80211");
-	categ_dir_add_cat(&cdir, cat);
 
 	cat = category_new("visualizer");
Index: uspace/srv/net/dhcp/dhcp.c
===================================================================
--- uspace/srv/net/dhcp/dhcp.c	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/srv/net/dhcp/dhcp.c	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -418,22 +418,4 @@
 }
 
-static int dhcp_discover_proc(dhcp_link_t *dlink)
-{
-	dlink->state = ds_selecting;
-
-	int rc = dhcp_send_discover(dlink);
-	if (rc != EOK)
-		return EIO;
-
-	dlink->retries_left = dhcp_discover_retries;
-	
-	if ((dlink->timeout->state == fts_not_set) ||
-	    (dlink->timeout->state == fts_fired))
-		fibril_timer_set(dlink->timeout, dhcp_discover_timeout_val,
-		    dhcpsrv_discover_timeout, dlink);
-	
-	return rc;
-}
-
 int dhcpsrv_link_add(service_id_t link_id)
 {
@@ -477,6 +459,8 @@
 	}
 
+	dlink->state = ds_selecting;
+
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "Send DHCPDISCOVER");
-	rc = dhcp_discover_proc(dlink);
+	rc = dhcp_send_discover(dlink);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Error sending DHCPDISCOVER.");
@@ -485,4 +469,8 @@
 		goto error;
 	}
+
+	dlink->retries_left = dhcp_discover_retries;
+	fibril_timer_set(dlink->timeout, dhcp_discover_timeout_val,
+	    dhcpsrv_discover_timeout, dlink);
 
 	list_append(&dlink->links, &dhcp_links);
@@ -499,19 +487,4 @@
 {
 	return ENOTSUP;
-}
-
-int dhcpsrv_discover(service_id_t link_id)
-{
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "dhcpsrv_link_add(%zu)", link_id);
-	
-	dhcp_link_t *dlink = dhcpsrv_link_find(link_id);
-	
-	if (dlink == NULL) {
-		log_msg(LOG_DEFAULT, LVL_NOTE, "Link %zu doesn't exist",
-		    link_id);
-		return EINVAL;
-	}
-	
-	return dhcp_discover_proc(dlink);
 }
 
Index: uspace/srv/net/dhcp/dhcp.h
===================================================================
--- uspace/srv/net/dhcp/dhcp.h	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/srv/net/dhcp/dhcp.h	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -43,5 +43,4 @@
 extern int dhcpsrv_link_add(service_id_t);
 extern int dhcpsrv_link_remove(service_id_t);
-extern int dhcpsrv_discover(service_id_t);
 
 #endif
Index: uspace/srv/net/dhcp/main.c
===================================================================
--- uspace/srv/net/dhcp/main.c	(revision bf1733d347ebc9b897d0138cbe49a119c233033a)
+++ uspace/srv/net/dhcp/main.c	(revision c1fd281454459feab4756bc576e6f4e4e370bc92)
@@ -109,17 +109,4 @@
 }
 
-static void dhcp_discover_srv(ipc_callid_t callid, ipc_call_t *call)
-{
-	sysarg_t link_id;
-	int rc;
-
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "dhcp_discover_srv()");
-
-	link_id = IPC_GET_ARG1(*call);
-
-	rc = dhcpsrv_discover(link_id);
-	async_answer_0(callid, rc);
-}
-
 static void dhcp_client_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg)
 {
@@ -146,7 +133,4 @@
 		case DHCP_LINK_REMOVE:
 			dhcp_link_remove_srv(callid, &call);
-			break;
-		case DHCP_DISCOVER:
-			dhcp_discover_srv(callid, &call);
 			break;
 		default:
